@tailwind base;
@tailwind components;
@tailwind utilities;

.main {
  scroll-behavior: smooth;
}

.about-bg {
  background-image: url("/backgrounds/about.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
/* globals.css */
.topography-bg {
  background-image: url("/topography.svg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.main-bg {
  background-image: url("/backgrounds/Cotton.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  backdrop-filter: blur(1px);
}

.tips-bg {
  background-image: url("/backgrounds/tipsimg.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;

}

.blur-container {
  @apply mx-auto ring-2 ring-red-500 backdrop-blur-sm text-white text-center justify-center items-center p-[240px] rounded-sm;
}

@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}

.animate-fadeIn {
  animation: fadeIn 2s forwards;
}


.black-container {
  @apply bg-black text-center justify-center items-center p-12;
}

.bw-title {
  @apply p-4 mt-4 mb-6 shadow-xl font-bold text-2xl inline-block rounded-xl ring-2 ring-white text-white bg-black;
}

.white {
  @apply text-white;
}

.red-button {
  background-image: url("/plus-button-red.png");
}
.red {
  @apply text-red-700;
}

.nft-card {
  border-radius: 10px;
  padding: 15px;
  transition: all 0.3s ease;
}

.nft-card:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.badge-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nfts-assets {
  @apply w-[200px] mt-4 mb-2 m-2 ring-2 ring-black text-center font-semibold transform hover:scale-125  duration-100;
}

.buy-button {
  @apply ring-2 ring-black rounded-xl px-6 mt-2 mb-2 bg-blue-600 hover:bg-blue-500 hover:text-black active:bg-white font-semibold text-lg;
}

.hover:scale-125 {
  will-change: transform;
}

.purpose-win {
  @apply font-extrabold text-2xl p-3 mt-3 mb-2 ring-2 inline-block rounded-md hover:scale-125 transform duration-300 cursor-default;
}
.purpose-win-title {
  @apply font-bold text-2xl p-3 mt-3 mb-2 ring-2 inline-block rounded-md hover:scale-125 transform duration-300 cursor-default;
}
.purpose-bg {
  background-image: url("/home_imgs/house.jpg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  padding: 50px;
}

.main-div {
  @apply rounded-xl shadow-lg mt-5 mb-4;
}

.step-div {
  @apply text-2xl text-center p-4 mt-4 mb-4;
}
